package com.example.doctor_app_flutter.ui;

import com.example.doctor_app_flutter.Model.GetSessionStatusModel;
import com.example.doctor_app_flutter.Model.SessionStatusModel;

public interface VideoCallContract {

    interface  VideoCallView{

        void onCallSuccessful(SessionStatusModel sessionStatusModel);
        void onFailure();
    }

    interface  VideoCallPresenter {

        void callClintConnected(GetSessionStatusModel statusModel);
    }
}
